Skip to main content
PUT
/
apps
/
{appId}
/
extensions
/
chatwoot
/
v1
/
settings
Chatwoot Update settings
curl --request PUT \
  --url https://apimgmt.cometchat.io/apps/{appId}/extensions/chatwoot/v1/settings \
  --header 'Content-Type: application/json' \
  --header 'key: <key>' \
  --header 'secret: <secret>' \
  --data '{}'
{
  "data": {
    "statusCode": 200,
    "success": true,
    "responseTime": 3.061743974685669,
    "body": {
      "data": {
        "settings": {
          "appId": "212663ddb7a2b1b",
          "chatwootAccessToken": "EgsXaxRZFUy4tPWDjwmyZvYk",
          "customerSupportUid": "cometchat-uid-1",
          "chatwootInboxId": "12123",
          "chatwootAccountId": "42613",
          "webhookURL": "https://chatwoot-eu.cometchat.io/v1/reply?token=K1b_mZsa31lTuNQqbTo7xtRHY0y7UUqXfhsUJltruwM=.eyJhcHBJZCI6IjIxLjY2M2RkYjdhMmE2NmIifQ=="
        }
      }
    }
  }
}
For the complete error reference, see Error Guide.

Headers

key
string
required

Authorization Key

secret
string
required

Authorization Secret

Path Parameters

appId
string
required

AppID in which the extension has to be enabled/disabled

Body

application/json
settings
object

Response

200 - application/json

Update Chatwoot Settings

data
object